> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipment Information

> Get high level information from a Happy Returns shipment.

### Required API key scope
- Happy Returns Shipments (Read)




## OpenAPI

````yaml get /happy-returns/shipments/{happy_returns_shipment_id}
openapi: 3.1.0
info:
  title: Happy Returns Shipment API
  version: v1
  description: API used for getting Happy Returns shipment and item details.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Happy Returns Shipment
  - name: Happy Returns Shipment Items
paths:
  /happy-returns/shipments/{happy_returns_shipment_id}:
    get:
      tags:
        - Happy Returns Shipment
      summary: Get Shipment Information
      description: |
        Get high level information from a Happy Returns shipment.

        ### Required API key scope
        - Happy Returns Shipments (Read)
      operationId: getShipment
      parameters:
        - in: path
          name: happy_returns_shipment_id
          schema:
            type: string
          example: '210123'
          required: true
          description: The unique identifier associated with the shipment.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Shipment'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - api_key: []
components:
  schemas:
    Shipment:
      type: object
      properties:
        loop_shipment_id:
          type: integer
          examples:
            - 12345
          description: >-
            The unique identifier associated with the shipment, assigned by
            Loop.
        happy_returns_shipment_id:
          type: string
          examples:
            - '123456'
          description: >-
            The unique identifier associated with the shipment, assigned by
            Happy Returns.
        line_item_count:
          type: integer
          examples:
            - 2
          description: The number of line items included in the shipment.
        return_count:
          type: integer
          examples:
            - 1
          description: The number of Loop returns represented in the shipment.
        created_at:
          type: string
          format: date-time
          examples:
            - '2024-03-19T12:34:56+00:00'
          description: >-
            The date and time at which the shipment was created, using the ISO
            8601 date format.
        updated_at:
          type: string
          format: date-time
          examples:
            - '2024-03-20T12:34:56+00:00'
          description: >-
            The date and time at which the shipment was last updated, using the
            ISO 8601 date format.
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      properties:
        message:
          type: string
          examples:
            - Not Found
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponse'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundResponse'
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````